import { setCookies, removeCookies } from '@/utils/auth'

const state = () => ({
  userInfo: {},
  accessToken: '',
  appId: '',
  accountType: '',
  type: '',
})

const mutations = {
  SET_USERINFO(state, data) {
    state.userInfo = data
    state.accessToken = data.accessToken
    setCookies('userInfo', JSON.stringify(data))
    setCookies('accessToken', data.accessToken)
  },
  SET_APPID(state, appId) {
    state.appId = appId
    setCookies('appId', appId)
  },
  SET_TYPE(state, type) {
    state.type = type
  },
  SET_ACCOUNT_TYPE(state, accountType) {
    state.accountType = accountType
    setCookies('accountType', accountType)
  },
}

const actions = {
  // 退出登录
  logout({ commit }) {
    commit('SET_USERINFO', {})
    removeCookies('userInfo')
    removeCookies('accessToken')
  },
  // 用户登录
  login({ commit }, data) {
    commit('SET_USERINFO', data)
  },
}

export default {
  namespaced: true,
  state,
  mutations,
  actions,
}
